
Redmine - Defect #8385

Character encoding is wrong in repository view (bzr)

2011-05-17 16:59 - André Bachmann

Status: Closed Start date: 2011-05-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.5

Description

As you can see on this screenshot, special characters like ä, ö, ü and ß within comments are only showed as '?'.

This is a Bazaar branch, and there aren't any problems with characters if I look directly in the branch's log with "bzr log", so this

problem occurs obviously after Redmine got the info from bzr.

I'm running Debian Squeeze (32 bit) and Redmine 1.0.5 (from squeeze-backports) with MySQL server 5.1.49, Ruby 1.8.7.302-2,

Rails 2.3.5 and bzr 2.3.1.

Related issues:

Is duplicate of Redmine - Defect #5578: Bazaar: Missing characters from repos... Closed 2010-05-23

History

#1 - 2011-05-17 17:01 - Etienne Massip

- Category set to SCM

- Assignee set to Toshi MARUYAMA

This is something Toshi may have already fixed for 1.2.0.

#2 - 2011-05-17 18:03 - Toshi MARUYAMA

- Status changed from New to Closed

- Assignee deleted (Toshi MARUYAMA)

- Resolution set to Invalid

"bzr log" depends on your locale.

Check your locale and set encoding in your setting.

1.1 is in administrator panel.

1.2 is in repository setting.

#3 - 2011-05-18 09:11 - André Bachmann

My system locale is de_DE.UTF-8, and my 'Commit messages encoding' in Settings, Repositories is set to UTF-8. So is this not correct?

#4 - 2011-05-18 09:18 - Toshi MARUYAMA

Check your MySQL encoding.

MySQL default encoding is Latin-1.

http://www.redmine.org/issues/61#note-97

Redmine forks "bzr log". So, check your redmine process locale (LANG environment variable).

#5 - 2011-05-18 09:20 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate
